1

I'm following this tutorial to install ffmpeg on my server. When I'm configuring the source I get the problem:

ffmpeg headers not found.

In that tutorial they say:

To Fix: Just install ffmpeg-devel using

yum install ffmpeg-devel

But if I try to enter that line, I get this error:

Error: Package: librtmp-2.3-1.el6.rf.x86_64 (rpmforge)
            Require: libgnutls.so.26()(64bit)
Error: Package: librtmp-2.3-1.el6.rf.x86_64 (rpmforge)
            Require: libgnutls.so.26(GNUTLS_1_4)(64bit)

But I don't know how install libgnutls.so.26. I can't find this package on my repo. What can I do?

  • 2
    Adding the EL6 version of rpmforge to a EL7 system is asking for a broken server. – jordanm Apr 12 '15 at 15:58
  • 2
    Stop following that tutorial. It's ancient, out of date, and will not work. – Michael Hampton Apr 12 '15 at 16:29
-1

In case somebody else finds this post because they're figuring out how to install ffmpeg on their CentOS 7 system, this blog post has everything you need: http://linoxide.com/linux-how-to/install-ffmpeg-centos-7/

Core commands, just in case the site goes down, are: yum -y install epel-release rpm --import http://li.nux.ro/download/nux/RPM-GPG-KEY-nux.ro rpm -Uvh http://li.nux.ro/download/nux/dextop/el7/x86_64/nux-dextop-release-0-1.el7.nux.noarch.rpm yum -y install ffmpeg ffmpeg-devel

  • 1
    still doesn't work for me. I keep getting error for libgnutls,ffmpeg-libs,facc – Ispas Claudiu Jun 20 '17 at 11:27
  • li.nux.ro doesn't look like a legit site to me. Buyer beware? – ragerdl Nov 27 '17 at 20:21
0

I had a issue where i could not run a program due to libgnutls.so.26 being missing. Simply installing gnu utils did the trick.

yum install gnutls

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.